package com.ims.eval.controller;



import com.ims.eval.config.CustomException;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.entity.EvaluationUnit;
import com.ims.eval.service.IEvaluationUnitService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 考评单位 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-03-06
 */
@RestController
@RequestMapping("//evaluation-unit")
public class EvaluationUnitController {

	@Autowired
	private IEvaluationUnitService evaluationUnitService;


	//@ImsPreAuth("eval:evaluationUnit:view")
	@GetMapping(value = "listAll")
	public R listAll(
		@RequestParam(value = "id", required = false) String id,
		@RequestParam(value = "enable", required = false) boolean enable) {
		List<EvaluationUnit> list = evaluationUnitService.listAll(id, enable);
		return R.ok().data(list);
	}


	/**
	 * 添加
	 *
	 * @param units
	 * @return
	 */

	//@ImsPreAuth("eval:evaluationUnit:edit")
	@PostMapping(value = "/save")
	@ApiOperation(value = "新增(修改)", notes = "新增（修改）")
	public R addAll(@RequestBody List<EvaluationUnit> units) {

		try {
			boolean b = evaluationUnitService.saveBatch(units);
			if (b) {
				return R.ok().data(b);
			} else {
				return R.error().data("保存失败！");
			}
		} catch (CustomException e){
			return R.customError(e.getMessage()).data("失败！");
		}
	}


}
