package com.ims.eval.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.config.CustomException;
import com.ims.eval.entity.OrganizationEvaluationRule;
import com.ims.eval.entity.OrganizationRatingRule;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IOrganizationRatingRuleService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;

/**
 * <p>
 * 单位评级规则 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-06-19
 */
@RestController
@RequestMapping("//organization-rating-rule")
public class OrganizationRatingRuleController {

	@Autowired
	private IOrganizationRatingRuleService organizationRatingRuleService;

	/**
	 * 查询
	 * @param pageNum
	 * @param pageSize
	 * @param id
	 * @param binSection
	 * @param binStage
	 * @param ruleName
	 * @param checkCycle
	 * @return
	 */
	@GetMapping(value = "list")
	public R list(@RequestParam(value = "pageNum") Integer pageNum,
				  @RequestParam(value = "pageSize") Integer pageSize,
				  @RequestParam(value = "id", required = false) String id,
				  @RequestParam(value = "binSection", required = false) String binSection,
				  @RequestParam(value = "binStage", required = false) String binStage,
				  @RequestParam(value = "ruleName", required = false) String ruleName,
				  @RequestParam(value = "checkCycle", required = false) String checkCycle) {
		IPage<OrganizationRatingRule> list = organizationRatingRuleService.list(pageNum, pageSize, id, binSection, binStage, ruleName, checkCycle);
		return R.ok().data(list);
	}


	@PostMapping(value = "/save")
	@ApiOperation(value = "新增(修改)", notes = "新增（修改）")
	public R addAll(@RequestBody OrganizationRatingRule organizationRatingRule) {

		try {
			boolean b = organizationRatingRuleService.saveOrUpdate(organizationRatingRule);
			if (b) {
				return R.ok().data(b);
			} else {
				return R.error().data("保存失败！");
			}
		} catch (CustomException e) {
			return R.customError(e.getMessage()).data("失败！");
		}
	}



	/**
	 * 批量删除
	 *
	 * @param ids
	 * @return
	 */
	@PostMapping(value = "/remove/{ids}")
	@ApiOperation(value = "删除", notes = "删除")
	public R deleteAll(@PathVariable("ids") String ids) {
		String[] strings = ids.split(",");
		boolean b = organizationRatingRuleService.removeByIds(Arrays.asList(strings));
		if (b) {
			return R.ok().data(b);
		} else {
			return R.error().data("删除失败！");
		}
	}


}
