package com.ims.eval.dao;

import com.ims.eval.config.permission.DataPermission;
import com.ims.eval.entity.OrganizationEvaluationInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.dto.response.OrganizationEvaluationInfoResDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考评指标明细

 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-03-16
 */
@DataPermission
public interface OrganizationEvaluationInfoMapper extends BaseMapper<OrganizationEvaluationInfo> {




	List<OrganizationEvaluationInfoResDTO> selectListEvaluationInfoId(@Param("organizationEvaluationId") String organizationEvaluationId,
																	  @Param("dept") String dept,
																	  @Param("optionCode") String optionCode,
																	  @Param("organizationId") String organizationId);

	List<OrganizationEvaluationInfoResDTO> selectListEvaluationInfoId2(@Param("organizationEvaluationId") String organizationEvaluationId,
																	  @Param("dept") String dept,
																	  @Param("organizationShortName") String organizationShortName,
																	  @Param("indicatorName") String indicatorName,
																	  @Param("binSection") String binSection,
																	  @Param("isQuantified")String isQuantified,
																	  @Param("optionCode") String optionCode,
																	  @Param("organizationId") String organizationId);

	@DataPermission(isPermission = false)
	List<OrganizationEvaluationInfo> selectByEvaluationInfoId(@Param("organizationEvaluationId") String organizationEvaluationId);


	@DataPermission(isPermission = false)
	List<OrganizationEvaluationInfo> selectByIndicatorDictionaryId(@Param("indicatorDictionaryId") String indicatorDictionaryId);


	@DataPermission(isPermission = false)
	List<OrganizationEvaluationInfoResDTO> selectByIdAndEvaluationInfoId(@Param("id") String id,
																   @Param("indicatorId") String indicatorId,
																   @Param("organizationEvaluationId") String organizationEvaluationId,
																   @Param("optionCode") String optionCode);

	List<Map> selectEvaluationIndicatorList(@Param("organizationEvaluationId") String organizationEvaluationId,
											@Param("binSection") String binSection,
											@Param("binStage") String binStage);


	List<OrganizationEvaluationInfoResDTO> selectEvaluationInfoList(@Param("organizationEvaluationId") String organizationEvaluationId,
											@Param("indicatorId") String indicatorId,
											@Param("binSection") String binSection,
											@Param("binStage") String binStage);



//	void updateEvaluationInfo(@Param("evaluationInfos")  List<OrganizationEvaluationInfo> evaluationInfos);

}
