package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 数据权限类型
 * </p>
 *
 * @author wang
 * @since 2023-03-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DataAuthType extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 数据权限
     */
    private String dataAuthCode;

    /**
     * 数据权限名称
     */
    private String dataAuthName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;

	/**
	 * 数据优先级（数字越大，优先级越高）
	 */
	private String dataPriority;


}
