package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评报告
 * </p>
 *
 * @author wang
 * @since 2023-03-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluateReport extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 报告名称
     */
    private String evaluateReportName;

    /**
     * 考评记录id
     */
    private String organizationEvaluationId;

	/**
	 * 业务版块name
	 */
	@TableField(exist = false)
	private String organizationEvaluationDes;

    /**
     * 业务版块
     */
    private String binSection;

	/**
	 * 业务版块name
	 */
	@TableField(exist = false)
	private String binSectionName;

    /**
     * 考评类别(单位、部门)
     */
    private String organizationType;

    /**
     * 周期
     */
    private String checkCycle;

    /**
     * 年
     */
    private String year;

    /**
     * 月
     */
    private String month;

    /**
     * 描述
     */
    private String des;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 是否启用
     */
    private Boolean enable;


}
