package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评规则表
 * </p>
 *
 * @author wang
 * @since 2023-02-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluateRule extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

	/**
	 * 规则名称
	 */
	private String ruleName;

    /**
     * 业务版块
     */

    private String binSection;

	/**
	 * 业务版块name
	 */
	@TableField(exist = false)
	private String binSectionName;

    /**
     * 业务阶段
     */
    private String binStage;

	/**
	 * 业务阶段name
	 */
	@TableField(exist = false)
	private String binStageName;


	/**
     * 描述
     */
    private String des;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

	/**
	 * 创建者名称
	 */
	private String createName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 是否启用
     */
    private Boolean enable;


	/**
	 * 周期
	 */
	private String checkCycle;

	/**
	 * 年
	 */
	private String year;


}
