package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评规则信息
 * </p>
 *
 * @author wang
 * @since 2023-02-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluateRuleInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 指标ID
     */
    private String indicatorId;

	/**
	 * 指标name
	 */
	@TableField(exist = false)
	private String indicatorName;


	/**
	 * 考评规则ID
	 */
	private String evaluateRuleId;

	/**
	 * 考评规则name
	 */
	@TableField(exist = false)
	private String evaluateRuleName;

    /**
     * 描述
     */
    private String des;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

	/**
	 * 创建者名称
	 */
	private String createName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

	/**
	 * 排列顺序
	 */
	private Integer orderNum;

	private Double minScore;

	private Double maxScore;

	private Double standardScore;
}
