package com.ims.eval.entity;

import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评得分表
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluateScore extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 描述
     */
    private String des;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 考评类型（年度考评，季度考评，月度考评）
     */
    private String evaluateCycle;

    /**
     * 考评性质（0:预考评；1正式考评）
     */
    private String evaluateType;

    /**
     * 部门ID
     */
    private String deptId;

    /**
     * 责任书ID
     */
    private String responsibilityId;

    /**
     * 系统评分
     */
    private double sysScore;

    /**
     * 复审评分
     */
    private double reviewScore;

    /**
     * 复审人
     */
    private String reviewPeople;

    /**
     * 复审时间
     */
    private Date reviewPeopleTime;

    /**
     * 复审意见
     */
    private String reviewOpinion;


}
