package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评部门
 * </p>
 *
 * @author wang
 * @since 2023-03-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationDept extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 公司编码
     */
    private String companyId;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 公司简称
     */
    private String shortCompanyName;

    /**
     * 部门编码
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 部门简称
     */
    private String shortDeptName;

	/**
	 * 考评类别
	 */
	private String evaluationCategory;

    /**
     * 年度
     */
    private String annual;

	/**
	 * 是否启用
	 */
	private boolean enable;

	/**
	 * 描述
	 */
	private String des;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    private String updateBy;

	/**
	 * 指标组
	 */
	@TableField(exist = false)
	private List<EvaluationDeptIndicator> evaluationDeptIndicatorList;

	//生成报表word数据集合
	@TableField(exist = false)
	private List<EvaluationDeptBusinessContent> list;

	//生成报表word数据
	@TableField(exist = false)
	private EvaluationDeptBusinessContent evaluationDeptBusinessContent;
}
