package com.ims.eval.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评首页
 * </p>
 *
 * @author wang
 * @since 2023-05-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationPortal extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 板块编码
     */
    private String binSection;

	private String binStage;

	private String binProperty;

    /**
     * 单位名称
     */
    private String company;

    /**
     * 等级
     */
    private String grade;

    /**
     * 得分
     */
    private double score;

    /**
     * 基准分
     */
    private double baseScore;

    /**
     * 年
     */
    private String year;

    /**
     * 季度（1，2，3，4）
     */
    private String season;

    /**
     * 加分事项（-1扣分，0持平，1加分）
     */
    private Integer matterHeigh;

    /**
     * 扣分事项（-1扣分，0持平，1加分）
     */
    private Integer matterLow;

    /**
     * 管理加分（-1扣分，0持平，1加分）
     */
    private Integer manageHeigh;

    /**
     * 管理扣分（-1扣分，0持平，1加分）
     */
    private Integer manageLow;

    /**
     * 高于基准（-1扣分，0持平，1加分）
     */
    private Integer standardHeigh;

    /**
     * 低于基准（-1扣分，0持平，1加分）
     */
    private Integer standardLow;

    /**
     * 部门编码
     */
    private String deptId;

	/**
	 * 创建时间
	 */
	private Date createTime;


	private String memo1;
	private String memo2;
	private String memo3;
	private String memo4;
}
