package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author hlf
 * @date 2023/5/23 10:31
 * 文件说明：
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationRevision extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private String id;

	/**
	 * 考评目标主键
	 */
	private String deptResponsibilityId;

	/**
	 * 业务编码
	 */
	private String responsibilityCode;

	/**
	 * 部门ID
	 */
	private String organizationId;

	/**
	 * 部门name
	 */
	private String organizationName;


	/**
	 * 考评类别(单位、部门)
	 */
	private String organizationType;


	/**
	 * 周期单位
	 */
	private String cycleUnit;

	/**
	 * 周期
	 */
	private String checkCycle;

	/**
	 * 年
	 */
	private String year;
	/**
	 * 月
	 */
	private String month;

	/**
	 * 考评单位配置id
	 */
	private  String organizationEvaluationRuleId;

	/**
	 * 考核开始时间
	 */
	private Date beginDate;

	/**
	 * 考核截止时间
	 */
	private Date endDate;

	/**
	 * 审批状态
	 */
	private String stage;

	/**
	 * 描述
	 */
	private String des;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 创建者
	 */
	private String createBy;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 更新者
	 */
	private String updateBy;

	/**
	 * 创建者名称
	 */
	private String createName;

	/**
	 * 复审人
	 */
	private String reviewPeople;

	/**
	 * 复审时间
	 */
	private Date reviewPeopleTime;

	/**
	 * 复审意见
	 */
	private String reviewOpinion;

	/**
	 * 终审人
	 */
	private String finalReviewPeople;

	/**
	 * 终审时间
	 */
	private Date finalReviewPeopleTime;

	/**
	 * 终审意见
	 */
	private String finalReviewOpinion;

	/**
	 * 备注
	 */
	private String remark;


	/**
	 * 实例id
	 */
	private String instId;


	/**
	 * 创建人组织id
	 */
	private String createOrgId;

	/**
	 * 创建人组织name
	 */
	private String createOrgName;

}
