package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.ims.eval.cache.CacheContext;
import com.ims.eval.service.IIndicatorService;
import lombok.*;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.*;

/**
 * <p>
 * 考评得分规则表
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationScoringRule extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

	/**
	 * 得分规则名称
	 */
	private String ScoreRuleName;

    /**
     * 指标项ID
     */
    private String indicatorItemId;

	@Getter(AccessLevel.NONE)
	@Setter(AccessLevel.NONE)
	@TableField(exist = false)
    private List<String> indicatorItemIds;

	/*//转化为集合
	public List<String> getIndicatorItemIds(){
		String[] split = this.getIndicatorItemId().split(",");
		return Arrays.asList(split);
	}*/
 	/**
	 * 指标ID
	 */
	private String indicatorId;

	@Getter(AccessLevel.NONE)
	@Setter(AccessLevel.NONE)
	@TableField(exist = false)
	private List<String> indicatorIds;

	public  List<String> getIndicatorIds(){
		String[] split = this.getIndicatorId().split(",");
		return Arrays.asList(split);
	}

	/**
	 * 指标项名称
	 */
	private String indicatorItemName;

	@TableField(exist = false)
	private List<Map<String,String>> indicatorItemNames;

	/**
	 * 指标名称
	 */
	private String indicatorName;


	@TableField(exist = false)
	private List<String> indicatorNames;

    /*
     * 业务阶段
	 */
    private String type;

    /*
     * 部门ID
     */
    private String departid;

    /**
     * 描述
     */
    private String describe;

    /**
     * 划分区间
     */
    private String parttitionInterval;

	/**
	 * 业务板块code
	 */
	private String businessPhase;

	/**
	 * 业务板块name
	 */
	@TableField(exist = false)
	private String businessName;

	/*public String getBusinessName(){
		List<DataDictionary> ddList = CacheContext.ddList;
		for (DataDictionary dictionary : ddList){
			if (businessPhase.equals(dictionary.getDataKey())){
				return dictionary.getKeyName();
			}
		}
		return "";
	}*/

	/**
	 * 指标单位
	 */
	private String indicatorUnit;



}
