package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-05-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationWarningRule extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 业务板块code
     */
    private String binSection;
	@TableField(exist = false)
	private String sectionName;

    /**
     * 指标id
     */
    private String indicatorId;
	@TableField(exist = false)
	private String indicatorName;

    /**
     * 指标信息(计划值、完成值、偏差等信息)
     */
    private String indicatorInfo;

    /**
     * 指标分类code
     */
    private String binStage;

    /**
     * 预警规则
     */
    private String expression;

    /**
     * 预警等级(1低级,2中级,3高级)
     */
    private Integer grade;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 规则描述
     */
    private String ruleDes;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 是否启用
     */
    private Boolean enable;

	/**
	 * ND/YD/JD
	 */
	private String type;

	/**
	 * 触发时间
	 */
	private Date cronTime;
}
