package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.util.Date;

/**
 * <p>
 * 指标字典表
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class IndicatorDictionary extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 指标ID
     */
    private String indicatorId;

	/**
	 * 指标name
	 */
	@TableField(exist = false)
	private String indicatorName;

	/**
	 * 子指标名
	 */
	private String childName;

	/**
	 * 子指标code
	 */
	private String childCode;


    /**
     * 选项编码
     */
    private String optionCode;

    /**
     * 选项名称
     */
    private String optionName;

    /**
     * 选项顺序
     */
    private Integer optionOrder;

    /**
     * 描述
     */
    private String des;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

	/**
	 * 计算公式
	 */
	private String  formula;

	/**
	 * 是否显示该属性
	 */
	private Boolean isShow;


	/**
	 * 是否量化
	 */
	private Boolean  isQuantified;


}
