package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评指标明细


 * </p>
 *
 * @author wang
 * @since 2023-03-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrganizationEvaluationInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 考评记录id
     */
    private String organizationEvaluationId;

	/**
	 * 组织考评规则id
	 */
	private String  organizationEvaluationRuleId;

    /**
     * 指标ID
     */
    private String indicatorId;

    /**
     * 子指标id
     */
    private String indicatorDictionaryId;

    /**
     * 选项编码
     */
    private String optionCode;

    /**
     * 能否量化
     */
    private String isQuantified;

    /**
     * 量化值
     */
    private double quantifiedValue;

    /**
     * 非量化值
     */
    private String nonQuantifiedValue;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;


	/**
	 * 状态(-1:未开始；0:待确认；1:已确认)
	 */
	private String state;

	/**
	 * 子指标code
	 */
	private String  childCode;


	/**
	 * 考评规则明细id
	 */
	private String evaluateRuleInfoId;


	/**
	 * 指标部门id
	 */
	private String  deptId;


}
