package com.ims.eval.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 单位/部门考评配置
 * </p>
 *
 * @author wang
 * @since 2023-03-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrganizationEvaluationRule extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键ID
	 */
	private String id;

	/**
	 * 考评组织名称
	 */
	private String organizationName;

	/**
	 *考评组织名称（简称）
	 */
	private String organizationShortName;

	/**
	 * 考评组织ID
	 */
	private String organizationId;

	/**
	 * 考评类别(单位、部门)
	 */
	private String organizationType;

	/**
	 * 业务版块
	 */
	private String binSection;

	/**
	 * 业务版块name
	 */
	@TableField(exist = false)
	private String binSectionName;
	/**
	 * 业务阶段
	 */
	private String binStage;

	/**
	 * 业务阶段name
	 */
	@TableField(exist = false)
	private String binStageName;

	/**
	 * 考评周期
	 */
	private String evaluationCycle;

	/**
	 * 考评规则ID
	 */
	private String evaluateRuleId;

	/**
	 * 考评规则name
	 */
	@TableField(exist = false)
	private String evaluateRuleName;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 创建者id
	 */
	private String createBy;

	/**
	 * 创建者名称
	 */
	private String createName;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 更新者
	 */
	private String updateBy;

	/**
	 * 删除标记(false 为未删除，true 为已删除)

	 */
	private Boolean delFlag;

	/**
	 * 是否考核(false;未考核；true:以考核)
	 */
	private Boolean isCheck;

	/**
	 * 生产经营权重
	 */
	private double scjyWeight;

	/**
	 * 前期权重
	 */
	private double qqWeight;

	/**
	 * 基建权重
	 */
	private double jjWeight;

	/**
	 * 排序
	 */
	private Integer orderNum;

	/**
	 * 业务类型
	 */
	private String businessType;

	/**
	 * 年
	 */
	private String year;


}
