package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.ims.eval.util.EnableExcel;
import com.ims.eval.util.ExcelRow;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 党建乘数配置
 * </p>
 *
 * @author xugp
 * @since 2023-03-29
 */
@Data
@EnableExcel
@EqualsAndHashCode(callSuper = true)
public class PartyBuildingMultiplier extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
	@ExcelRow(name = "id")
    private String id;

    /**
     * 单位id
     */
    private String departId;


	/**
	 * 单位名称
	 */
	@ExcelRow(name = "单位名称")
    private String organizationName;


    /**
     * 板块id
     */
    private String sectionId;

	/**
	 * 板块名称
	 */
	@ExcelRow(name = "板块名称")
	@TableField(exist = false)
	private String sectionName;

    /**
     * 党建乘数
     */
	@ExcelRow(name = "党建乘数")
    private String multiplier;

    /**
     * 备注
     */
	@ExcelRow(name = "备注")
    private String remarks;

    /**
     * 年度
     */
	@ExcelRow(name = "年度")
    private String year;

	/**
	 * 创建人id
	 */
	private String createBy;

	/**
	 * 创建人名称
	 */
	private String createName;

	/**
	 * 创建者组织名称
	 */
	private String createOrgName;

	/**
	 * 创建者组织ID
	 */
	private String createOrgId;




}
