package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户数据权限
 * </p>
 *
 * @author wang
 * @since 2023-03-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserDataAuth extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 数据权限id
     */
    private String dataAuthTypeId;

	/**
	 * 数据权限code
	 */
	@TableField(exist = false)
	private String dataAuthCode;
	
	/**
	 * 数据优先级（数字越大，优先级越高）
	 */
	@TableField(exist = false)
	private String dataPriority;

    /**
     * 校色代码（来源于校色配置）
     */
    private String roleCode;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;


}
