package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 年度经营业绩系数
 * </p>
 *
 * @author wang
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class YearOperatingCoefficient extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 组织名称
     */
    private String organizationName;

    /**
     * 组织ID
     */
    private String organizationId;


	/**
	 * 年度经营业绩系数ID
	 */
	private String yearGroupCoefficientId;

    /**
     * 业务版块
     */
    private String binSection;

    /**
     * 年
     */
    private String year;

    /**
     * 月
     */
    private String month;

    /**
     * K
     */
    private double k;

    /**
     * 资产总额
     */
    private double zzc;

    /**
     * K1
     */
    private double k1;

    /**
     * 机组（场站、矿井）数
     */
    private double jzs;

    /**
     * K2
     */
    private double k2;

    /**
     * 账面利润总额
     */
    private double zmlrze;

    /**
     * 发电量
     */
    private double fdl;

    /**
     * 度电利润
     */
    private double ddlr;

    /**
     * K3
     */
    private double k3;

    /**
     * 定员
     */
    private double dy;

    /**
     * K4
     */
    private double k4;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

	/**
	 * 创建者名称
	 */
	private String createName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;

    /**
     * 描述
     */
    private String des;


}
