package com.ims.eval.entity.custom;

import org.springframework.stereotype.Component;

/**
 * @author hlf
 * @date 2023/5/18 10:08
 * 文件说明：
 */
@Component
public class Path {

	/**
	 * 路径
	 */
	private static String prefix;

	public static String getPrefix() {
		String os = System.getProperty("os.name");
		if (os.toLowerCase().startsWith("win")) {
			prefix = "D:/home";
		} else {
			prefix = "/home/dbkp";
		}
		return prefix;
	}

	public void setPrefix(String profile) {
		Path.prefix = profile;
	}

	/**
	 * 获取报表路径
	 */
	public static String getStatementPath() {
		return getPrefix() + "/statement/";
	}

	/**
	 * 获取通告路径
	 */
	public static String getNoticePath() {
		return getPrefix() + "/file/";
	}
}
