package com.ims.eval.feign;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import feign.Headers;
import feign.Param;
import feign.RequestLine;
import org.springframework.cloud.openfeign.FeignClient;


/**
 * 访问远程接口服务
 */
@FeignClient(name  = "service-name", configuration = FooConfiguration .class)
public interface IGatewayUrlService {


	/**
	 * 通过登录code获取用户
	 *
	 * @param code
	 * @return
	 */
	@Headers({"Content-Type: application/json", "Accept: application/json"})
	@RequestLine("POST /ims-idms/sysuser/getSysUser?code={code}")
	JSONObject getSysUser(@Param(value = "code") String code);


	/**
	 * 通过token获取业务code
	 *
	 * @param token
	 * @return
	 */
	@Headers({"Content-Type: application/json", "Accept: application/json"})
	@RequestLine("POST /ims-idms/usersession/getCodeByToken?token={token}")
	JSONObject getCodeByToken(@Param(value = "token") String token);


//	@Headers({"Authorization: {token}", "Tenant-Id: 000000"})
//	@RequestLine("POST /ims-idms/sysuser/getSysUser?tenantId={tenantId}&username={username}&password={password}&grant_type={grant_type}&scope={scope}&type={type}")
//	JSONObject  getbladeAuth(@Param(value = "tenantId") String tenantId,
//							 @Param(value = "username") String username,
//							 @Param(value = "password") String password,
//							 @Param(value = "grant_type") String grant_type,
//							 @Param(value = "scope") String scope,
//							 @Param(value = "type") String type,
//							 @Param(value = "token") String token);



	/**
	 * 退出登录
	 *
	 * @param token
	 * @return
	 */
	@Headers({"Content-Type: application/json", "Accept: application/json"})
	@RequestLine("POST /ims-idms/usersession/removeByToken?token={token}")
	JSONObject removeByToken(@Param(value = "token") String token);


	@Headers({"Content-Type: application/json", "Accept: application/json"})
	@RequestLine("POST /ims-iam-ext/sys/sysOrg/allDataNoControl")
	JSONArray allDataNoControl();


}
