package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.EvaluationPortal;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.EvaluationPortalAttach;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考评首页 服务类
 * </p>
 *
 * @author wang
 * @since 2023-05-10
 */
public interface IEvaluationPortalService extends IService<EvaluationPortal> {

	/**
	 * 查询考评首页门户数据
	 * @param binSection
	 * @param year
	 * @param season
	 */
	Map<String, Object> getPortalData(String binSection, String year, String season);

	/**
	 * list
	 * @param year 年
	 * @param season 季度
	 * @param binSection 业务板块
	 * @param memo1 公司id(保存到预留字段)
	 * @return
	 */
	List<EvaluationPortal> getEvaluationPortalList(String year, String season, String binSection, String memo1);


	/**
	 * 保存数据
	 * @param portal
	 * @param attach
	 * @return
	 */
	boolean saveSeasonPerformanceRanking(EvaluationPortal portal, EvaluationPortalAttach attach);


	/**
	 * 评级
	 */
	void rating(String organizationEvaluationId);


	/**
	 * 分页查询
	 * @param binSection
	 * @param year
	 * @param season
	 * @return
	 */
	IPage<EvaluationPortal> listPage(String binSection, String year, String season);

}
