package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ims.eval.cache.CacheContext;
import com.ims.eval.config.CustomException;
import com.ims.eval.entity.BinSection;
import com.ims.eval.dao.BinSectionMapper;
import com.ims.eval.service.IBinSectionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 生产经营业务分类 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-12
 */
@Service
public class BinSectionServiceImpl extends ServiceImpl<BinSectionMapper, BinSection> implements IBinSectionService {



	@Autowired
	private CacheContext cache;

	@Override
	public List<BinSection> list(String id, String sectionName, String sectionCode) {

		List<BinSection> list =CacheContext.bsnList;
//		List<BinSection> treeList = convert(list);

		return list;
	}

	@Transactional
	@Override
	public boolean saveOrUpdate(BinSection entity) {

		if (null != entity && (null != entity.getId() && !"".equals(entity.getId().trim()))) {
			BinSection type = baseMapper.selectById(entity.getId());
			type.setDelFlag(true);
			baseMapper.updateById(type);
		}

		QueryWrapper<BinSection> qw = new QueryWrapper();
		qw.lambda().eq(BinSection::getSectionCode, entity.getSectionCode());
		qw.lambda().eq(BinSection::getDelFlag, false);
		List<BinSection> list = baseMapper.selectList(qw);
		if (null != list && list.size() > 0) {
			throw new CustomException("当前分类已存在");
		}

		int count = baseMapper.selectCount(null);
		entity.setId(null);
		entity.setOrderNum(count);
		entity.setDelFlag(false);
		return super.saveOrUpdate(entity);
	}




//	/**
//	 * 转换为有树形结构的列表
//	 *
//	 * @param source 源数据所有数据
//	 * @return
//	 */
//	public List<BinSection> convert(List<BinSection> source) {
//		if (CollectionUtil.isEmpty(source)) {
//			return new ArrayList<>();
//		}
//		List<BinSection> result = new ArrayList<>();
//		List<String> idList = source.stream().map(BinSection::getId).collect(Collectors.toList());
//		// 设置最外层顶级
//		for (BinSection menuVO : source) {
//			// 判断所有列表里面父级未在集合中放置到一级
//			if (!idList.contains(menuVO.getParentId())) {
//				result.add(menuVO);
//			}
//		}
//		for (BinSection menuVO : result) {
//			// 循环一级之后子级
//			getChildren(source, menuVO);
//		}
//		return result;
//	}
//
//
//	/**
//	 * 循环设置子级
//	 *
//	 * @param list         所有元素列表
//	 * @param treeSelectVO 父级元素
//	 * @return 父级元素
//	 */
//	public static BinSection getChildren(List<BinSection> list, BinSection treeSelectVO) {
//		for (BinSection section : list) {
//			if (treeSelectVO.getId().equals(section.getParentId())) {
//				List<BinSection> children = CollectionUtil.isEmpty(treeSelectVO.getChildren()) ? new ArrayList<>() : treeSelectVO.getChildren();
//				children.add(getChildren(list, section));
//				treeSelectVO.setChildren(children);
//
//			}
//		}
//		return treeSelectVO;
//	}

}
