package com.ims.eval.service.impl;

import com.ims.eval.entity.EvaluateReport;
import com.ims.eval.entity.EvaluateReportInfo;
import com.ims.eval.dao.EvaluateReportInfoMapper;
import com.ims.eval.service.IEvaluateReportInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.eval.service.IEvaluateReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考评报告明细
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-25
 */
@Service
public class EvaluateReportInfoServiceImpl extends ServiceImpl<EvaluateReportInfoMapper, EvaluateReportInfo> implements IEvaluateReportInfoService {



	@Autowired
	private IEvaluateReportService evaluateReportService;
	@Override
	public Map<String,List<Map>> mapByReportId(String evaluateReportId) throws IllegalAccessException {
		Map<String,List<Map>> datemap = new LinkedHashMap<>();


		Map<String ,String> title = new LinkedHashMap();
		title.put("p-organizationName","考评组织名称");
		title.put("p-scjyScore","生产经营得分");
		title.put("p-qqScore","前期得分");
		title.put("p-jjScore","基建得分");
		title.put("y-addScore","加分项");
		title.put("y-subScore","减分项");
		title.put("n-addSubScore","加减分合计");
		title.put("p-zhScore","综合得分");
		title.put("n-jyyjXs","经营业绩系数");
		title.put("n-gjyjXs","关键业绩得分");
		title.put("n-djkhCs","党建考核乘数");
		title.put("n-score","最终得分");
		title.put("p-remark","备注");

		EvaluateReport evaluateReport = 	evaluateReportService.getById(evaluateReportId);


		List<Map> titles = new ArrayList<>();
		for (String key:title.keySet()){
			if(key.startsWith("p-")){
				Map title0 = new LinkedHashMap();
				title0.put("nameZh",title.get(key));
				title0.put("nameEh",key.replace("p-",""));
				titles.add(title0);
			}
			if("NDKP".equals(evaluateReport.getCheckCycle())){
				if(key.startsWith("n-")){
					Map title1 = new LinkedHashMap();
					title1.put("nameZh",title.get(key));
					title1.put("nameEh",key.replace("n-",""));
					titles.add(title1);
				}
			}


			if(key.startsWith("y-")){
				Map title2 = new LinkedHashMap();
				title2.put("nameZh",title.get(key));
				title2.put("nameEh",key.replace("y-",""));
				titles.add(title2);
			}
		}



		datemap.put("title",titles);
		List<EvaluateReportInfo> list = baseMapper.selectListByReportId(evaluateReportId);

		List<Map> listmap = new ArrayList<>();
		for(EvaluateReportInfo i: list){
			Field[] fields = i.getClass().getDeclaredFields();
			Map m = new LinkedHashMap();
			for(Field f : fields){
				f.setAccessible(true);
				m.put(f.getName(),f.get(i));

			}
			listmap.add(m);
		}
		datemap.put("body",listmap);


		return datemap;

	}

	@Override
	public List<EvaluateReportInfo> listByReportId(String evaluateReportId) {
		List<EvaluateReportInfo> list = baseMapper.selectListByReportId(evaluateReportId);
		return list;
	}




}
