package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.common.utils.StringUtils;
import com.ims.eval.dao.EvaluationDeptBusinessAssessmentMapper;
import com.ims.eval.entity.EvaluationDeptBusinessAssessment;
import com.ims.eval.service.IEvaluationDeptBusinessAssessmentService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hlf
 * @date 2023/5/6 17:10
 * 文件说明：
 */
@Service
public class EvaluationDeptBusinessAssessmentServiceImpl extends ServiceImpl<EvaluationDeptBusinessAssessmentMapper, EvaluationDeptBusinessAssessment> implements IEvaluationDeptBusinessAssessmentService {

	@Override
	public IPage<EvaluationDeptBusinessAssessment> listPage(Integer pageNum, Integer pageSize, String responsibilityCode, String des, String appraisalYear, String stage, String deptId) {
		if (null == pageNum || null == pageSize) {
			throw new RuntimeException("分页参数为空");
		}
		//构造分页构造器
		Page<EvaluationDeptBusinessAssessment> page = new Page<>(pageNum, pageSize);
		if ("23031009".equals(deptId)){
			deptId = "";
		}
		return baseMapper.selectListPage(page, responsibilityCode, des, appraisalYear, stage, deptId);
	}

	@Override
	public boolean editState(String id, String state, String instId) {
		EvaluationDeptBusinessAssessment evaluationDeptBusinessAssessment = baseMapper.selectById(id);
		if (StringUtils.isNotEmpty(state)) {
			if ("组织人事部领导审核".equals(state)){
				state = "流程已结束";
			}
			evaluationDeptBusinessAssessment.setStage(state);
		}
		if (StringUtils.isNotEmpty(instId)) {
			evaluationDeptBusinessAssessment.setInstId(instId);
		}
		return super.saveOrUpdate(evaluationDeptBusinessAssessment);
	}

	@Override
	public List<EvaluationDeptBusinessAssessment> list(String appraisalYear) {
		QueryWrapper<EvaluationDeptBusinessAssessment> wrapper = new QueryWrapper();
		wrapper.lambda().eq(EvaluationDeptBusinessAssessment::getAppraisalYear, appraisalYear);
		return baseMapper.selectList(wrapper);
	}
}
