package com.ims.eval.service.impl;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.common.utils.StringUtils;
import com.ims.eval.dao.EvaluationDeptBusinessContentMapper;
import com.ims.eval.entity.DataDictionary;
import com.ims.eval.entity.EvaluationDeptBusinessContent;
import com.ims.eval.service.IDataDictionaryService;
import com.ims.eval.service.IEvaluationDeptBusinessContentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hlf
 * @date 2023/5/6 10:40
 * 文件说明：
 */
@Service
public class EvaluationDeptBusinessContentServiceImpl extends ServiceImpl<EvaluationDeptBusinessContentMapper, EvaluationDeptBusinessContent> implements IEvaluationDeptBusinessContentService {

	@Autowired
	private IDataDictionaryService dataDictionaryService;

	@Override
	public List<EvaluationDeptBusinessContent> detailsList(String businessPlanId, String deptId) {
		if ("23031009".equals(deptId)){
			deptId = "";
		}
		return baseMapper.detailsList(businessPlanId, deptId);
	}

	@Override
	public boolean removeByBusinessPlanId(String businessPlanId) {
		return baseMapper.removeByBusinessPlanId(businessPlanId);
	}

	@Override
	public boolean saveOrUpdateBatch(List<EvaluationDeptBusinessContent> evaluationDeptBusinessContentList) {
		boolean b = false;
		for (EvaluationDeptBusinessContent evaluationDeptBusinessContent : evaluationDeptBusinessContentList) {
			if (StringUtils.isEmpty(evaluationDeptBusinessContent.getId())) {
				DataDictionary dataDictionary = dataDictionaryService.getById(evaluationDeptBusinessContent.getDeptId());
				evaluationDeptBusinessContent.setDeptName(dataDictionary.getKeyName());
				evaluationDeptBusinessContent.setDeptCode(dataDictionary.getDataKey());
				evaluationDeptBusinessContent.setCreateTime(DateUtil.date());
				b = super.save(evaluationDeptBusinessContent);
			} else {
				b = super.updateById(evaluationDeptBusinessContent);
			}
		}
		return b;
	}

	@Override
	public List<EvaluationDeptBusinessContent> selectEvaluationDeptBusinessContentListByBusinessPlanId(String businessPlanId, String deptId) {
		return baseMapper.selectEvaluationDeptBusinessContentListByBusinessPlanId(businessPlanId, deptId);
	}
}
