package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.common.utils.DateUtils;
import com.ims.common.utils.StringUtils;
import com.ims.eval.config.CustomException;
import com.ims.eval.entity.EvaluationPortal;
import com.ims.eval.dao.EvaluationPortalMapper;
import com.ims.eval.entity.EvaluationPortalAttach;
import com.ims.eval.entity.EvaluationScoreCount;
import com.ims.eval.entity.OrganizationEvaluation;
import com.ims.eval.service.IEvaluationPortalAttachService;
import com.ims.eval.service.IEvaluationPortalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.eval.service.IEvaluationScoreCountService;
import com.ims.eval.service.IOrganizationEvaluationService;
import groovy.util.logging.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

/**
 * <p>
 * 考评首页 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-05-10
 */
@Slf4j
@Service
public class EvaluationPortalServiceImpl extends ServiceImpl<EvaluationPortalMapper, EvaluationPortal> implements IEvaluationPortalService {


	@Autowired
	private IEvaluationPortalAttachService evaluationPortalAttachService;

	@Autowired
	private  IOrganizationEvaluationService organizationEvaluationService;

	private IEvaluationScoreCountService evaluationScoreCountService;

	@Override
	public Map<String, Object> getPortalData(String binSection, String year, String season) {
		Map<String, Object> map = new HashMap<>();
		Calendar date = Calendar.getInstance();
		try{
			List<Map<String, Object>> yearList = baseMapper.selectPortalList(binSection, date.get(Calendar.YEAR) == Integer.valueOf(year) ? String.valueOf(Integer.valueOf(year) - 1) : year, null);
			List<Map<String, Object>> seasonList = baseMapper.selectPortalList(binSection, year, season);
			Map<Object, List<Map<String, Object>>> yearMap = yearList.stream().collect(Collectors.groupingBy(e -> e.get("bin_section"), Collectors.toList()));
			Map<Object, List<Map<String, Object>>> seasonMap = seasonList.stream().collect(Collectors.groupingBy(e -> e.get("bin_section"), Collectors.toList()));
			map.put("year", yearMap);
			map.put("season", seasonMap);
		} catch (Exception e){
			log.error(e.getMessage());
		}

		return map;
	}

	@Override
	public List<EvaluationPortal> getEvaluationPortalList(String year, String season, String binSection, String memo1) {

		List<EvaluationPortal> list = baseMapper.selectEvaluationPortalList(year,season,binSection,memo1);


		return list;
	}

	@Override
	public boolean saveSeasonPerformanceRanking(EvaluationPortal portal, EvaluationPortalAttach attach) {
		List<EvaluationPortal> portals = getEvaluationPortalList(portal.getYear(), portal.getSeason(), portal.getBinSection(), portal.getMemo1());
		if (null != portals && portals.size() > 0) {
			List<String> idList = portals.stream().map(EvaluationPortal::getId).collect(Collectors.toList());
			boolean b = this.removeByIds(idList);
			if (!b) {
				throw new CustomException("操作失败");
			}

		}
		boolean b1 = this.saveOrUpdate(portal);
		if (!b1) {
			throw new CustomException("操作失败");
		}
		attach.setPortalId(portal.getId());
		boolean b2 = evaluationPortalAttachService.saveOrUpdate(attach);
		if (!b2) {
			throw new CustomException("操作失败");
		}
		return b2;
	}

	@Override
	public void rating(String OrganizationEvaluation) {
		OrganizationEvaluation evaluation = null;
		if(StringUtils.isEmpty(OrganizationEvaluation)){
			//获取当前日期
			String  year = String.valueOf(DateUtils.getYear(new Date()));
			String season = String.valueOf(DateUtils.getSeason(new Date()));
			evaluation = organizationEvaluationService.list(OrganizationEvaluation,"JDKP",year,season).get(0);
		}else {
			 evaluation = organizationEvaluationService.getById(OrganizationEvaluation);
		}
		//按照板块获取分数

		evaluationScoreCountService.getListByEvaluationRuleId("","","");
		evaluation.getId();






	}

	@Override
	public IPage<EvaluationPortal> listPage(String binSection, String year, String season) {
		return null;
	}


}
