package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ims.common.utils.StringUtils;
import com.ims.eval.entity.EvaluationScoringRule;
import com.ims.eval.entity.IntervalScoringTable;
import com.ims.eval.dao.IntervalScoringTableMapper;
import com.ims.eval.service.IIntervalScoringTableService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Service
public class IntervalScoringTableServiceImpl extends ServiceImpl<IntervalScoringTableMapper, IntervalScoringTable> implements IIntervalScoringTableService {


	@Override
	public List<IntervalScoringTable> list(String ruleId) {
		QueryWrapper<IntervalScoringTable> qw = new QueryWrapper<>();
		if (StringUtils.isNotEmpty(ruleId)) {
			qw.lambda().eq(IntervalScoringTable::getRuleId, ruleId);
		}
		List<IntervalScoringTable> intervalScoringTables = baseMapper.selectList(qw);
		return intervalScoringTables;
	}
}
