package com.ims.eval.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ims.common.utils.StringUtils;
import com.ims.eval.config.ImaConfig;
import com.ims.eval.entity.OrganizationStructure;
import com.ims.eval.dao.OrganizationStructureMapper;
import com.ims.eval.feign.RemoteServiceBuilder;
import com.ims.eval.service.IOrganizationStructureService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-01
 */
@Service
@Slf4j
public class OrganizationStructureServiceImpl extends ServiceImpl<OrganizationStructureMapper, OrganizationStructure> implements IOrganizationStructureService {

	private static Integer length = 0;

	private static String type = null;

	@Autowired
	private RemoteServiceBuilder remoteServiceBuilder;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private ImaConfig imaConfig;

	private List<OrganizationStructure> list = new ArrayList<>();

	@Override
	public List<OrganizationStructure> getTree(String id, Integer num, String type1) {

//		if (null != type1 && type1.length()>0){
//
//		}
		type = type1;
		if(null != list && list.size()>0){
			return list;
		}
		QueryWrapper<OrganizationStructure> qw = new QueryWrapper<>();

//		List<OrganizationStructure> list = baseMapper.selectList(qw);

//		http://10.65.79.83:86/ims-iam-ext/sys/sysOrg/allDataNoControl
		JSONArray arr = remoteServiceBuilder.getGatewayUrl().allDataNoControl();
		if (null == arr) {
			return null;
		}

		List<OrganizationStructure> list = arr.toJavaList(OrganizationStructure.class);
		List<OrganizationStructure> tr = convert(list, id, num);
		return tr;
	}

	@Override
	public List<OrganizationStructure> getList(String likeParentId, String parentId, String name,String type, HttpServletRequest request) {


		HttpHeaders headers = new HttpHeaders();
		headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
		headers.add("Blade-Auth", request.getHeader("Blade-Auth"));

		HttpEntity<Map> param = new HttpEntity<>(null, headers);
		ResponseEntity<String> responseEntity2 = restTemplate.postForEntity(imaConfig.getGatewayUrl() +"ims-iam-ext/sys/sysOrg/allDataNoControl?likeParentId={1}&parentId={2}&name={3}",
			param, String.class, likeParentId, parentId,name);

		log.info("\n code:{}\n header:{}\n body:{}\n", responseEntity2.getStatusCodeValue(), responseEntity2.getHeaders(), responseEntity2.getBody());
		if(200== responseEntity2.getStatusCodeValue()){

			JSONArray arr = JSONArray.parseArray(responseEntity2.getBody());
			List<OrganizationStructure> list = arr.toJavaList(OrganizationStructure.class);
			if(StringUtils.isNotEmpty(type)){
				list = list.stream().filter(OrganizationStructure -> OrganizationStructure.getType().equals(type))
					.collect(Collectors.toList());
			}
			return list;

		}
		return null;
	}

	/**
	 * 转换为有树形结构的列表
	 *
	 * @param source 源数据所有数据
	 * @return
	 */
	public List<OrganizationStructure> convert(List<OrganizationStructure> source, String id, Integer num) {
		if (CollectionUtil.isEmpty(source)) {
			return new ArrayList<>();
		}
		Map<String ,OrganizationStructure> map = source.stream().collect(Collectors.toMap(OrganizationStructure::getId, structure -> structure));


		List<OrganizationStructure> result = new ArrayList<>();
		List<String> idList = new ArrayList<>();
		if (null == id || id.length() <= 0) {
			idList = source.stream().map(OrganizationStructure::getId).collect(Collectors.toList());
			// 设置最外层顶级
			for (OrganizationStructure domainTreeSelectVO : source) {
				// 判断所有列表里面父级未在集合中放置到一级
				if (!idList.contains(domainTreeSelectVO.getParentId())) {

					result.add(domainTreeSelectVO);
				}
			}
		} else {
//			List<OrganizationStructure> list =baseMapper.selectById(id);
			result.add(map.get(id));

		}


		for (OrganizationStructure domainTreeSelectVO : result) {
			// 循环一级之后子级
			length = num + domainTreeSelectVO.getParentIds().split(",").length;
			getChildren(source, domainTreeSelectVO);
		}
		return result;
	}


	/**
	 * 循环设置子级
	 *
	 * @param list         所有元素列表
	 * @param treeSelectVO 父级元素
	 * @return 父级元素
	 */
	public static OrganizationStructure getChildren(List<OrganizationStructure> list, OrganizationStructure treeSelectVO) {

		for (OrganizationStructure domainTreeSelectVO : list) {
			if (treeSelectVO.getId().equals(domainTreeSelectVO.getParentId())) {
				List<OrganizationStructure> children = CollectionUtil.isEmpty(treeSelectVO.getChildren()) ? new ArrayList<>() : treeSelectVO.getChildren();
				if (null != type && !type.equals(domainTreeSelectVO.getType())) {
					continue;
				}

				if (null != length && length < domainTreeSelectVO.getParentIds().split(",").length) {
					continue;
				}
				children.add(getChildren(list, domainTreeSelectVO));
				treeSelectVO.setChildren(children);

			}
		}
		return treeSelectVO;
	}
}
