package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.common.utils.StringUtils;
import com.ims.eval.config.CustomException;
import com.ims.eval.entity.PartyBuildingMultiplier;
import com.ims.eval.dao.PartyBuildingMultiplierMapper;
import com.ims.eval.entity.dto.response.PartyBuildingMultiplierDto;
import com.ims.eval.service.IOrganizationStructureService;
import com.ims.eval.service.IPartyBuildingMultiplierService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-29
 */
@Service
public class PartyBuildingMultiplierServiceImpl extends ServiceImpl<PartyBuildingMultiplierMapper, PartyBuildingMultiplier> implements IPartyBuildingMultiplierService {

	@Autowired
	private PartyBuildingMultiplierMapper partyBuildingMultiplierMapper;

	@Autowired
	private IOrganizationStructureService iOrganizationStructureService;

	@Override
	public IPage<PartyBuildingMultiplier> listAll(Integer pageNum,Integer pageSize,String id, String departId, String sectionId, String year) {


		if (null == pageNum || null == pageSize) {
			throw new CustomException("分页参数为空");
		}

		Page<PartyBuildingMultiplier> page = new Page<>(pageNum, pageSize);

		IPage<PartyBuildingMultiplier> list = partyBuildingMultiplierMapper.selectAll(page,id,departId,sectionId,year);

		return list;

	}

	@Override
	public List<PartyBuildingMultiplier> listByParam(String id, String departId, String sectionId, String year) {


		QueryWrapper<PartyBuildingMultiplier> qw = new QueryWrapper<>();

		if (StringUtils.isNotEmpty(id)) {
			qw.lambda().eq(PartyBuildingMultiplier::getId, id);
		}

		if (StringUtils.isNotEmpty(departId)) {
			qw.lambda().eq(PartyBuildingMultiplier::getDepartId, departId);
		}

		if (StringUtils.isNotEmpty(sectionId)) {
			qw.lambda().eq(PartyBuildingMultiplier::getSectionId, sectionId);
		}

		if (StringUtils.isNotEmpty(year)) {
			qw.lambda().eq(PartyBuildingMultiplier::getYear, year);
		}

		List<PartyBuildingMultiplier> partyBuildingMultipliers = baseMapper.selectList(qw);
		return partyBuildingMultipliers;
	}
}
